<?
if ($msg) {	// контакты by (:Град:)
if ($player["nak"]) msg("Вы заблокированы системой, еще <strong>".date("i мин s сек",$player["nak_time"]-time())."</strong>");
if ($player["chat_ban"]) msg("Контакты заблокированы!<br/>Заблокирован чат, еще ".date("i мин s сек",$player["chat_time_ban"]-time())."");	
if ($msg==1) {	// основная страница
if (count($player["msg"])==0) msg("Список контактов пуст!<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>");
$stmp.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
$stmp.="<br/><strong>Контакты</strong>";
$stmp.="<br/>(Контактов ".count($player["msg"]).")";
// список онлайн
$max_page_player="5";
$ind=0; $count=0; if(!$start) $start=0;
$stmp.="<br/><strong>В игре</strong>:";
foreach (array_keys($player["msg"]) as $i) {
if (isset($game["players"][$i])) {
if ($ind>=$start && $ind<$start+$max_page_player) {	
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&msg=read&id=$i\">".$game["loc"][$game["players"][$i]][$i]["title"];
if ($player["msg"][$i]) $stmp.=" (+)";
$stmp.="</a>";
 $count++;
if ($count>=$max_page_player);  
}
$ind++;
}
}
if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&msg=1\">^ </a>";}
if ($start+$$max_page_player<count($player["msg"])-3) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&msg=1&start=".($start+$max_page_player)."\"> (+)</a>";}
// список оффлайн
$stmp.="<br/><strong>Вне игре</strong>:";
$ind=0; $count=0; if(!$fstart) $fstart=0;
foreach (array_keys($player["msg"]) as $i) {
if (!isset($game["players"][$i])) {
if ($ind>=$fstart && $ind<$fstart+$max_page_player) {	
$play = implode('',file('users/'.$i.'.dat'));
$play = unserialize($play);
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&msg=read&id=$i\">".$play["title"];
if ($player["msg"][$i]) $stmp.=" (+)";
$stmp.="</a>";	
$count++;
if ($count>=$max_page_player);  
}
 $ind++;				
}		
}
if ($fstart) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&msg=1\">^ </a>";}
if ($fstart+$$max_page_player<count($player["msg"])-3) {if (!$fstart) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&msg=1&fstart=".($fstart+$max_page_player)."\"> (+)</a>";}
}
if ($msg=='add') {
include "msg/add.php";
}
if ($msg=='del') {
include "msg/del.php";
}
if ($msg=='cls') {
$player["msg"][$id]="";
msg("Сообщения удалены!");
}
if ($msg=='iscls') {
unset($player["ishmsg"]);
msg("Сообщения удалены!");
}
if ($msg=='read') {	// читаем контакты
include "msg/read.php";
}
if ($msg=='napis')	{
include "msg/napis.php";
}
if ($msg=='write') {		// добавить $id
include "msg/write.php";
}

msg($stmp,"Контакты",0,'none');
	}
?>